## kodi-peripheral-joystick-dmo 19.0.4

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:19.0.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Jan 2023 11:52:41 +0100

kodi-peripheral-joystick-dmo (1:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2022 07:55:34 +0200

kodi-peripheral-joystick-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 19:34:49 +0200

kodi-peripheral-joystick-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 18:54:36 +0100

kodi-peripheral-joystick-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Sep 2021 15:35:11 +0200

kodi-peripheral-joystick-dmo (1:1.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 May 2021 07:48:49 +0200

kodi-peripheral-joystick-dmo (1:1.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jan 2021 09:32:24 +0100

peripheral-joystick-dmo (1.4.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Feb 2020 08:59:17 +0100

peripheral-joystick-dmo (1.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Sep 2019 08:20:24 +0200

peripheral-joystick-dmo (1.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Feb 2019 13:50:45 +0100

peripheral-joystick-dmo (1.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jan 2019 17:09:05 +0100

peripheral-joystick-dmo (1.3.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Nov 2017 09:01:07 +0100

peripheral-joystick-dmo (1.3.2-dmo2) unstable; urgency=medium

  * Don't install addon.xml.in

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 May 2017 10:59:26 +0200

peripheral-joystick-dmo (1.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2017 08:20:19 +0100

peripheral-joystick-dmo (1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Mar 2017 07:31:40 +0100

peripheral-joystick-dmo (1.2.1-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Feb 2017 16:51:29 +0100
