=== debian/control ===
Source: kodi-peripheral-joystick-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/peripheral.joystick
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libudev-dev, libtinyxml-dev, ninja-build

Package: kodi-peripheral-joystick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PERIPHERALAPI}
Description: Kodi Joystick Library
 This library provides joystick drivers and button maps. Multiple joystick
 APIs are supported, including DirectX, XInput, SDL and the Linux Joystick
 API.
