=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install

	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/android
	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/cocoa
	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/xinput
	rm -rf debian/kodi-peripheral-joystick/usr/share/kodi/addons/peripheral.joystick/resources/buttonmaps/xml/directinput

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:
