=== debian/watch ===
version=4

https://github.com/xbmc/peripheral.joystick/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@
