## kodi-peripheral-joystick-dmo 20.1.15

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:20.1.15-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:31:51 +0100

kodi-peripheral-joystick-dmo (1:20.1.14-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jan 2024 08:39:52 +0100

kodi-peripheral-joystick-dmo (1:20.1.13-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Sep 2023 08:43:35 +0200

kodi-peripheral-joystick-dmo (1:20.1.12-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Aug 2023 07:27:23 +0200

kodi-peripheral-joystick-dmo (1:20.1.11-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2023 07:36:08 +0200

kodi-peripheral-joystick-dmo (1:20.1.10-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jul 2023 08:56:12 +0200

kodi-peripheral-joystick-dmo (1:20.1.9-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2023 07:03:54 +0200

kodi-peripheral-joystick-dmo (1:20.1.8-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Mar 2023 14:56:33 +0100

kodi-peripheral-joystick-dmo (1:20.1.7-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Mar 2023 09:03:41 +0100

kodi-peripheral-joystick-dmo (1:20.1.5-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Feb 2023 09:21:45 +0100

kodi-peripheral-joystick-dmo (1:20.1.3-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 18:03:50 +0100
