## kodi-peripheral-joystick-dmo 20.1.18

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:20.1.18-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 May 2024 07:10:25 +0200

kodi-peripheral-joystick-dmo (1:20.1.15-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:13:09 +0100

kodi-peripheral-joystick-dmo (1:20.1.14-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jan 2024 08:32:13 +0100

kodi-peripheral-joystick-dmo (1:20.1.13-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Sep 2023 08:40:19 +0200

kodi-peripheral-joystick-dmo (1:20.1.12-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Aug 2023 07:22:33 +0200

kodi-peripheral-joystick-dmo (1:20.1.11-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2023 07:27:19 +0200

kodi-peripheral-joystick-dmo (1:20.1.10-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jul 2023 08:40:06 +0200

kodi-peripheral-joystick-dmo (1:20.1.9-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2023 06:49:30 +0200

kodi-peripheral-joystick-dmo (1:20.1.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Mar 2023 07:49:43 +0100

kodi-peripheral-joystick-dmo (1:20.1.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Mar 2023 08:45:17 +0100

kodi-peripheral-joystick-dmo (1:20.1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Feb 2023 11:43:16 +0100

kodi-peripheral-joystick-dmo (1:20.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Jan 2023 08:29:58 +0100

kodi-peripheral-joystick-dmo (1:20.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 14:46:43 +0100

kodi-peripheral-joystick-dmo (1:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2022 07:08:03 +0200

kodi-peripheral-joystick-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 01:36:41 +0200

kodi-peripheral-joystick-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 14:47:03 +0100

kodi-peripheral-joystick-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Sep 2021 15:16:06 +0200
