=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/peripheral.joystick
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libudev-dev, libtinyxml-dev, ninja-build
