## kodi-peripheral-joystick-dmo 21.1.22

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:21.1.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jan 2025 15:19:58 +0100

kodi-peripheral-joystick-dmo (1:21.1.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jan 2025 15:54:11 +0100

kodi-peripheral-joystick-dmo (1:21.1.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jan 2025 00:19:02 +0100

kodi-peripheral-joystick-dmo (1:21.1.18-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 12:07:48 +0100

kodi-peripheral-joystick-dmo (1:21.1.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 May 2024 06:59:40 +0200

kodi-peripheral-joystick-dmo (1:21.1.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 May 2024 01:40:10 +0200

kodi-peripheral-joystick-dmo (1:21.1.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 May 2024 08:26:35 +0200

kodi-peripheral-joystick-dmo (1:21.1.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 May 2024 12:47:18 +0200

kodi-peripheral-joystick-dmo (1:21.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 13:09:38 +0200

kodi-peripheral-joystick-dmo (1:21.1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 18:41:14 +0200

kodi-peripheral-joystick-dmo (1:20.1.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jan 2024 09:12:59 +0100

kodi-peripheral-joystick-dmo (1:20.1.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jan 2024 08:12:56 +0100

kodi-peripheral-joystick-dmo (1:20.1.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Sep 2023 02:10:13 +0200

kodi-peripheral-joystick-dmo (1:20.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Aug 2023 01:56:48 +0200

kodi-peripheral-joystick-dmo (1:20.1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2023 06:40:56 +0200

kodi-peripheral-joystick-dmo (1:20.1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jul 2023 07:55:22 +0200

kodi-peripheral-joystick-dmo (1:20.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2023 00:01:18 +0200
