=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/peripheral.joystick
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libudev-dev, libtinyxml-dev, ninja-build
 
 Package: kodi-peripheral-joystick
