## kodi-peripheral-joystick-dmo 21.1.23

=== debian/changelog ===
kodi-peripheral-joystick-dmo (1:21.1.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Nov 2025 00:43:40 +0100
