=== debian/watch ===
version=4

https://github.com/xbmc/peripheral.joystick/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
